    A model of emission due to an accretion disk.

accretiondisk

It is for use when the independent axis is in Angstroms.

>>> create_model_component("accretiondisk", "mdl")
>>> print(mdl)

Create a component of the accretiondisk model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.ref frozen 5000 -3.40282e+38 3.40282e+38 angstroms mdl.beta thawed 0.5 -10 10 mdl.ampl thawed 1 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
ref
The reference wavelength, in Angstroms.
beta
The index of the power-law component.
ampl
The amplitude of the disk.
norm
The normalization value for the position. It is a hidden parameter, with a value fixed at 20000.

Notes

The functional form of the model for points is:

f(x) = ampl * (x / norm)^(-beta) * exp(-ref / x)

and for integrated data sets the low-edge of the grid is used.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023